Page MenuHomePhabricator

Create development and testing environment for translation memory
Closed, ResolvedPublic

Description

In order to improve the translation memory, it should be easy to get an environment for it.

It seems that docker-compose is the way to go these days.

Requirements for the environment:

  • Setup MediaWiki and Translate (web server, database)
  • Setup ElasticSearch
  • Mounts for data and code

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 2 2020, 3:03 PM
abi_ added a subscriber: abi_.Nov 21 2020, 3:10 PM

Ran setup-03-launch-mediawiki-docker.sh from the docker scripts.

Notes

  1. Was able to deploy the scripts and had a TTM server running on the docker.
  2. Search translations was working properly.
  3. Could mark pages for translations and translate properly.

To Discuss

  1. README.md on mediawiki-docker-scripts can be formatted better.
  2. The current setup doesn't use MariaDB, though it should not have an impact on the testing.
  3. Should we add "extensions/UniversalLanguageSelector/composer.json" to composer.local.json?
  4. Should we document, enable and test that XHProf works well?
  1. Yes.
  2. There is https://www.mediawiki.org/wiki/MediaWiki-Docker/Configuration_recipes/Alternative_databases
  3. ULS does not have any non-dev composer dependencies.
  4. I don't believe XHProf will be the tool to evaluate/benchmark different approaches for performance
abi_ closed this task as Resolved.Nov 26 2020, 12:16 PM

I was able to get Translate setup with MariaDB also, incase needed. Some notes related to that are here: https://www.mediawiki.org/wiki/User:APatro_(WMF)/Docker_Translate

I think the objectives of this task are met, and we can mark this as done.